Subject: Re: CPCI-405 port (PPC405GP)

From: Dan Malek <[email-masked]>
Date: Thu, 20 Sep 2001 17:43:10 -0400

Tom Rini wrote:

> .... In some parts of the PPC world, we can't/don't for various
> reasons (technical and/or ingrained).

I can't think of any that don't......Help me remember :-).

> ....  For example, I don't see a problem
> with something which takes a vmlinux.gz and boots it.

First of all, someone has to uncompress it.  Then someone has
to handle any initrd loading.  Then someone has to handle command line
and other parameter passing.  Then.....

> ....  But we should define what we're going to do before we do
> it so that yaboot/ppcboot and apus can figure out how much re-working
> they'll need and whatnot..

Well, I trusted Ben to provide some of this information.  Mind you,
it was only a few lines on IRC, but it started with moving all of
the cputable initialization stuff into the bootloaders......and went
downhill from there :-).

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/